Sub-account transfer
curl --request POST \
--url https://api.hyperliquid.xyz/exchange \
--header 'Content-Type: application/json' \
--data '
{
"action": {
"type": "subAccountTransfer",
"subAccountUser": "0x1234567890abcdef1234567890abcdef12345678",
"isDeposit": true,
"usd": 1000000
},
"nonce": 1705234567890,
"signature": {
"r": "0x0000000000000000000000000000000000000000000000000000000000000000",
"s": "0x0000000000000000000000000000000000000000000000000000000000000000",
"v": 27
},
"vaultAddress": null
}
'import requests
url = "https://api.hyperliquid.xyz/exchange"
payload = {
"action": {
"type": "subAccountTransfer",
"subAccountUser": "0x1234567890abcdef1234567890abcdef12345678",
"isDeposit": True,
"usd": 1000000
},
"nonce": 1705234567890,
"signature": {
"r": "0x0000000000000000000000000000000000000000000000000000000000000000",
"s": "0x0000000000000000000000000000000000000000000000000000000000000000",
"v": 27
},
"vaultAddress": None
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
action: {
type: 'subAccountTransfer',
subAccountUser: '0x1234567890abcdef1234567890abcdef12345678',
isDeposit: true,
usd: 1000000
},
nonce: 1705234567890,
signature: {
r: '0x0000000000000000000000000000000000000000000000000000000000000000',
s: '0x0000000000000000000000000000000000000000000000000000000000000000',
v: 27
},
vaultAddress: null
})
};
fetch('https://api.hyperliquid.xyz/exchange', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"response": {}
}Hyperliquid node API
subAccountTransfer | Hyperliquid exchange
Transfers USDC between the main account and a sub-account, or between sub-accounts. Transfers USDC between the main account and a sub-account.
POST
/
exchange
Sub-account transfer
You can only use this endpoint on the official Hyperliquid public API. It is not available through Chainstack, as the open-source node implementation does not support it yet. See Hyperliquid methods for the full availability breakdown.
This endpoint requires signature authentication. See our comprehensive Authentication via Signatures guide for implementation details.
Get your own node endpoint todayStart for free and get your app to production levels immediately. No credit card required.You can sign up with your GitHub, X, Google, or Microsoft account.
Parameters
Required parameters
action(object, required) — The action object containing:type(string) — Must be"subAccountTransfer"subAccountUser(string) — Sub-account addressisDeposit(boolean) — True to deposit into sub-account, false to withdrawusd(integer) — Amount in raw USD units (multiply dollars by 1e6)
nonce(number, required) — Current timestamp in milliseconds (must be recent)signature(object, required) — EIP-712 signature of the action
Optional parameters
vaultAddress(string, optional) — Address when trading on behalf of a vault or subaccount
Returns
Returns an object with the action status:status—"ok"if request processedresponse— Contains action result data
Example request
curl -X POST https://api.hyperliquid.xyz/exchange \
-H "Content-Type: application/json" \
-d '{
"action": {"type": "subAccountTransfer"},
"nonce": 1234567890123,
"signature": {...}
}'
from eth_account import Account
from hyperliquid.exchange import Exchange
from hyperliquid.utils import constants
# Load the main account wallet that owns the sub-account
wallet = Account.from_key("YOUR_PRIVATE_KEY")
exchange = Exchange(wallet, constants.MAINNET_API_URL)
# Deposit \$1 USDC into the sub-account (usd is in raw units: dollars * 1e6)
result = exchange.sub_account_transfer(
sub_account_user="0x0000000000000000000000000000000000000000",
is_deposit=True,
usd=1 * 1_000_000,
)
print(result)
import { ExchangeClient, HttpTransport } from "@nktkas/hyperliquid";
import { privateKeyToAccount } from "viem/accounts";
// Load the main account wallet that owns the sub-account
const wallet = privateKeyToAccount("0x...");
const transport = new HttpTransport();
const exchange = new ExchangeClient({ transport, wallet });
// Deposit \$1 USDC into the sub-account (usd is in raw units: dollars * 1e6)
const result = await exchange.subAccountTransfer({
subAccountUser: "0x0000000000000000000000000000000000000000",
isDeposit: true,
usd: 1 * 1e6,
});
console.log(result);
Use case
- Sub-account transfer — Transfers USDC between the main account and a sub-account, or between sub-accounts.
Always ensure your system clock is synchronized. Nonce must be within a reasonable time window of the current server time or the request will be rejected.
Body
application/json
Last modified on June 24, 2026
Was this page helpful?